Gadis
Tanaman
Hama
Harta Karun

Entitas:

- Hama
  - tipe
  - status
  - posisi
- Tanaman
  - tipe
  - status
  - posisi
- Koin
  - status
  - posisi
- Pemain
  - posisi
  - koin
  - alat // 1 = senjata, 2 = nyiram & pupuk
- Game
  - tanaman
  - hama
  - koin
  - pemain
